import { ComponentResolver } from 'unplugin-vue-components';

interface MapResolverOptions {
    /**
     * exclude component name, if match do not resolve the name
     */
    exclude?: RegExp;
}
/**
 * Resolver for @vuemap/vue-amap
 *
 * @author @yangyanggu
 * @link https://vue-amap.guyixi.cn/ for @vuemap/vue-amap
 *
 */
declare function VueAmapResolver(options?: MapResolverOptions): ComponentResolver[];

interface BmapResolverOptions {
    /**
     * exclude component name, if match do not resolve the name
     */
    exclude?: RegExp;
}
/**
 * Resolver for vue-bmap-gl
 *
 * @author @yangyanggu
 * @link https://vue-bmap-gl.guyixi.cn/ for vue-bmap-gl
 *
 */
declare function VueBmapGlResolver(options?: BmapResolverOptions): ComponentResolver[];

interface MapvglResolverOptions {
    /**
     * exclude component name, if match do not resolve the name
     */
    exclude?: RegExp;
}
/**
 * Resolver for vue-mapvgl
 *
 * @author @yangyanggu
 * @link https://vue-mapvgl.guyixi.cn/ for vue-mapvgl
 *
 */
declare function VueMapvglResolver(options?: MapvglResolverOptions): ComponentResolver[];

export { BmapResolverOptions, MapResolverOptions, MapvglResolverOptions, VueAmapResolver, VueBmapGlResolver, VueMapvglResolver };
